> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didit.me/llms.txt
> Use this file to discover all available pages before exploring further.

# 데이터베이스 검증 API - Global Core Intelligence Service

> Didit의 Global 공신력 있는 데이터베이스 조회, Core Intelligence Service. 인증 건당 $0.69부터, 계약 및 최소 사용량 없음.

여러 데이터 파트너에 걸쳐 일련의 검사를 수행하고, 각 데이터 포인트와 관련된 위험을 반환합니다. Didit은 `POST /v3/database-validation/`을 통해 이 서비스를 제공하므로, 제출된 데이터를 신뢰할 수 있는 원본 소스와 대조하고 정규화된 일치 결과를 받을 수 있습니다.

## 적용 범위

* **적용 범위:** —
* **국가:** 글로벌
* **서비스 ID:** `glb_intelligence_service`
* **데이터 도메인:** 통신
* **카테고리:** 통신

## 입력 값

| 필드 | 필수 여부 | 예시 |
| - | -: | - |
| `phone` | 예 | `+15550101000` |
| `vendor_data` | 아니요 | `user-1234` |

* **필수 입력:** `phone`
* **선택 입력:** `vendor_data`
* **동의:** 필요하지 않음
* **워크플로 사용 가능 여부:** 워크플로에서 사용 가능
* **적용 범위:** —
* **가격:** 성공한 쿼리당 \$0.69

## 본문 파라미터

**issuing\_state** `string` *required* (default: GLB)

이 데이터베이스 서비스의 ISO 3166-1 alpha-3 국가 코드입니다.

예시: `GLB`

**services** `string` *required* (default: glb\_intelligence\_service)

이 서비스 ID를 포함하는 배열입니다. 서비스를 고정하면 요청이 이 특정 데이터베이스로만 범위가 제한됩니다.

예시: `glb_intelligence_service`

**phone** `string` *required* (default: +15550101000)

국제 형식의 전화번호입니다.

예시: `+15550101000`

**vendor\_data** `string` (default: user-1234)

이 사람에 대한 안정적인 사용자 참조 값으로, 예를 들어 내부 사용자 ID입니다. Didit은 이 값을 사용해 단독으로 수행된 검사를 같은 최종 사용자에게 연결하고 중복 탐지 노이즈를 줄입니다.

예시: `user-1234`

## 입력 규칙 및 검증 참고 사항

* 위에 나열된 필드를 사용자 또는 문서에서 수집된 그대로 정확히 전송하세요.
* Didit은 데이터베이스를 호출하기 전에 필수 필드를 검증합니다. 원본 조회 전에 거부된 요청에는 요금이 부과되지 않습니다.

## 호출 방법

```bash cURL theme={null}
curl -X POST "https://verification.didit.me/v3/database-validation/" \
  -H "x-api-key: YOUR_API_KEY" \
  -F "issuing_state=GLB" \
  -F "services=glb_intelligence_service" \
  -F "vendor_data=user-1234" \
  -F "phone=+15550101000"
```

```python Python theme={null}
from didit import Didit

# Reads DIDIT_API_KEY.
client = Didit()

result = client.database_validation.validate(
    issuing_state="GLB",
    services=["glb_intelligence_service"],
    phone="+15550101000",
    vendor_data="user-1234",
)
print(result)
```

```javascript Node.js theme={null}
import Didit from "@didit-protocol/sdk-node";

// Reads DIDIT_API_KEY.
const didit = new Didit();

const result = await didit.databaseValidation.validate({
  issuing_state: "GLB",
  services: ["glb_intelligence_service"],
  phone: "+15550101000",
  vendor_data: "user-1234",
});
console.log(result);
```

```go Go theme={null}
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()

result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
	IssuingState: "GLB",
	Services:     didit.Some([]string{"glb_intelligence_service"}),
	Phone:        didit.String("+15550101000"),
	VendorData:   didit.String("user-1234"),
})
if err != nil {
	log.Fatal(err)
}
fmt.Printf("%+v\n", result)
```

```java Java theme={null}
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;

// Reads DIDIT_API_KEY.
Didit client = new Didit();

var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
        .issuingState("GLB")
        .services(List.of("glb_intelligence_service"))
        .phone("+15550101000")
        .vendorData("user-1234")
        .build());
System.out.println(result);
```

```php PHP theme={null}
<?php

require 'vendor/autoload.php';

use Didit\DiditClient;

// Reads DIDIT_API_KEY.
$didit = new DiditClient();

$result = $didit->databaseValidation->validate([
    'issuing_state' => 'GLB',
    'services' => ['glb_intelligence_service'],
    'phone' => '+15550101000',
    'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
```

```ruby Ruby theme={null}
require "didit"

# Reads DIDIT_API_KEY.
didit = Didit::Client.new

result = didit.database_validation.validate(
  issuing_state: "GLB",
  services: ["glb_intelligence_service"],
  phone: "+15550101000",
  vendor_data: "user-1234"
)
puts result.to_h
```

```csharp .NET theme={null}
using System;
using System.Text.Json;
using Didit;

// Reads DIDIT_API_KEY.
using var client = new DiditClient();

var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
    IssuingState = "GLB",
    Services = new string[] { "glb_intelligence_service" },
    Phone = "+15550101000",
    VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
```

성공한 모든 호출은 HTTP `200`을 반환합니다. **`outcome_code`** 필드는 실제로 무슨 일이 일어났는지 알려줍니다. 예를 들어 실제 생체 인식 불일치(`BIOMETRIC_NO_MATCH`)와 읽을 수 없었던 셀피(`BIOMETRIC_IMAGE_UNUSABLE`)를 구분합니다. 표시되는 `status`는 기본 기능 상태이며, 구성한 [부분 일치 / 일치 없음 작업](https://docs.didit.me/ko/core-technology/database-validation/database-validation-warnings.md)에 의해 재정의될 수 있습니다.

**`MATCH`**: 레지스트리가 신원을 확인했으며 확인된 모든 필드가 일치했습니다.

```json 200 OK — MATCH theme={null}
{
  "request_id": "req_01H…",
  "status": "Approved",
  "issuing_state": "GLB",
  "match_type": "full_match",
  "validations": [
    {
      "outcome_code": "MATCH",
      "service_id": "glb_intelligence_service",
      "service_name": "Global - Core Intelligence Service",
      "source_data": {},
      "validation": {
        "identification_number": "full_match"
      }
    }
  ]
}
```

**`NO_MATCH`**: 레지스트리가 제출된 데이터와 일치하는 결과를 반환하지 않았습니다.

```json 200 OK — NO_MATCH theme={null}
{
  "request_id": "req_01H…",
  "status": "Declined",
  "issuing_state": "GLB",
  "match_type": "no_match",
  "validations": [
    {
      "outcome_code": "NO_MATCH",
      "service_id": "glb_intelligence_service",
      "service_name": "Global - Core Intelligence Service",
      "source_data": {
        "identification_number": "NO_MATCH"
      },
      "validation": {
        "identification_number": "no_match"
      }
    }
  ]
}
```

## 반환 데이터

`source_data`에 표시되는 정확한 필드는 레지스트리가 반환하는 내용에 따라 달라집니다. `glb_intelligence_service`의 생성된 예제에는 현재 다음과 같은 정규화된 구조가 문서화되어 있습니다.

* 레지스트리 응답에 따라 달라집니다.

## 요금 및 SLA

글로벌 - Core Intelligence Service 쿼리는 Didit이 원본 검증 소스로부터 확정적인 결과를 받은 경우에만 과금됩니다.

* **호출당 가격:** 미화 \$0.69
* **과금:** 성공한 쿼리당 과금됩니다. 레지스트리에 연결할 수 없는 경우, 필수 필드가 누락된 경우, 또는 요청이 원본에 도달하기 전에 거부된 경우에는 요금이 부과되지 않습니다.
* **지연 시간:** 일반적인 p95 값은 2초 미만입니다.
* **가용성:** Didit 측 분기별 99.9%이며, 원본 소스의 가용성은 국가와 데이터셋에 따라 다릅니다.

## 계속 읽기

* [글로벌 데이터베이스 검증 개요](https://docs.didit.me/ko/getting-started/database-validation-pricing.md)
* [데이터베이스 검증 개요](https://docs.didit.me/ko/core-technology/database-validation/overview.md)
* [결과 코드](https://docs.didit.me/ko/core-technology/database-validation/database-validation-outcome-codes.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.